#ifndef __FANCYBACKDROP_H__
#define __FANCYBACKDROP_H__

#include "../SexyAppFramework/Widget.h"

namespace Sexy
{

class WinDMApp;
class PodButton;
class MemoryImage;
class HyperlinkWidget;
class SoundInstance;

class CometPiece
{
public:
	float					mX;
	float					mY;
	float					mVelX;
	float					mVelY;
	double					mPercentDone;
};

typedef std::vector<CometPiece*> CometPieceVector;

class FancyBackdrop : public Widget
{
public:
	WinDMApp*				mApp;
	bool					mLoaded;

	float					mCometX;
	float					mCometY;
	float					mCometVelX;
	float					mCometVelY;
	CometPieceVector		mCometPieces;
	
	bool					mDoingTwinkle;
	int						mTwinkleX;
	int						mTwinkleY;
	int						mTwinkleFrame;

	float					mStarOffset;
	float					mMoonOffset;
	float					mFogOffset;
	float					mFogOffset2;

	MemoryImage*			mReversedMoonImage;

public:
	FancyBackdrop(WinDMApp* theApp);
	virtual ~FancyBackdrop();

	void					DrawTop(Graphics* g);
	void					DrawBottom(Graphics* g);

	virtual void			Draw(Graphics* g);
	virtual void			Update();
};

}

#endif //__FANCYBACKDROP_H__