#ifndef __HELPSCREEN_H__
#define __HELPSCREEN_H__

#include "PodDialog.h"
#include "CurvedVal.h"

namespace Sexy
{

class MoreGamesAdContainer;
class MoreGamesButton;

class HelpScreen : public PodDialog
{
public:
	enum
	{
		STATE_SHOWING,
		STATE_SHOWN,
		STATE_HIDING,
		STATE_HIDDEN,
		STATE_LAUNCHING
	};

public:
	int						mFocusedPanel;
	int						mPanelNum;
	
	float					mArrowAlpha[4];
	float					mPanelGemsAlpha[4];
	float					mPanelAlpha[4];

	int						mState;
	int						mMoveDelay;
	CurvedVal				mMainOffset;
	
	int						mSelector1Delay;
	float					mSelector1Alpha;

	int						mSelector2Delay;
	float					mSelector2Alpha;

	int						mSelectorFadeDelay;	

	int						mFadeOutDelay;
	int						mResetDelay;
	int						mSwapDelay;

	float					mAngle[4];
	
	double					mStarFade;
	double					mStarRot;
	double					mStarRot2;

	int						mSpecialDelay;
	float					mSpecialAlpha[4];

	int						mSetScaleDelay;
	float					mSetScale[4];

	int						mFocusSwitchDelay;

	int						mArrowFadeOutDelay;
	int						mArrowFadeInDelay;

protected:	
	void					Reset();
	void					InitialReset();
	void					DrawGem(Graphics* g, int theX, int theY, int theGemNum, float theScale);
	void					DrawSwapGem(Graphics* g, int theX, int theY, int theDeltaX, int theDeltaY, int theGemNum, float theScale, float theSelectAlpha);
	void					DrawArrow(Graphics* g, int theX, int theY);

public:
	HelpScreen(WinDMApp* theApp, bool inGame);
	virtual ~HelpScreen();

	virtual void			AddedToManager(WidgetManager *theWidgetManager);
	virtual void			RemovedFromManager(WidgetManager *theWidgetManager);

	virtual void			Draw(Graphics* g);
	virtual void			Update();

	virtual void			Resize(int theX, int theY, int theWidth, int theHeight);
	virtual void			MouseDown(int x, int y, int theClickCount);

	void					Show();
	void					Hide();
};

}


#endif //__HELPSCREEN_H__