#ifndef __OPTIONSDIALOG_H__
#define __OPTIONSDIALOG_H__

#include "../SexyAppFramework/SliderListener.h"
#include "../SexyAppFramework/CheckboxListener.h"
#include "../SexyAppFramework/ButtonListener.h"
#include "PodDialog.h"

namespace Sexy
{

class Slider;
class Checkbox;
class WinDMApp;

typedef std::vector<DialogButton*> DialogButtonVector;

class OptionsDialog : public PodDialog, public SliderListener, public CheckboxListener
{
public:	
	WinDMApp*				mApp;
	Slider*					mMusicVolumeSlider;
	Slider*					mSfxVolumeSlider;
	Checkbox*				mCheckbox;
	Checkbox*				mHWCheckbox;
	Checkbox*				mCustomCursorCheckbox;
	Checkbox*				mAlwaysUpdateCheckbox;
	Checkbox*				mHighResCheckbox;
	Checkbox*				mRandomBackdropsCheckbox;
	DialogButton*			mHelpButton;
	DialogButton*			mRegisterButton;
	DialogButton*			mMenuButton;
	//DialogButton*			mPopcapButton;
	DialogButtonVector		mLinkButtonVector;

	DialogButton*			mVerCheckButton;

	bool					mIgnoreChanges;
	int						mVerifyType;

protected:
	void					DrawCheckbox(Graphics* g, Checkbox* theCheckbox, const std::string& theText1, const std::string& theText2);
	bool					VerifyResolution();
	void					CheckFullscreenHighres();

public:
	OptionsDialog(WinDMApp* theApp);
	virtual ~OptionsDialog();
	
	void					FinishOptionVerify(bool result);

	virtual int				GetPreferredHeight(int theWidth);
	virtual void			AddedToManager(WidgetManager* theWidgetManager);
	virtual void			RemovedFromManager(WidgetManager* theWidgetManager);
	virtual void			Resize(int theX, int theY, int theWidth, int theHeight);
	virtual void			Draw(Graphics* g);	

	virtual void			SliderVal(int theId, double theVal);
	virtual void			CheckboxChecked(int theId, bool checked);
	virtual void			ButtonPress(int theId);
	virtual void			ButtonDepress(int theId);
};

}

#endif //__OPTIONSDIALOG_H__