#ifndef __Resources_H__
#define __Resources_H__

namespace Sexy
{
	class ResourceManager;
	class Image;
	class Font;

	Image* LoadImageById(ResourceManager *theManager, int theId);
	bool ExtractResourcesByName(ResourceManager *theManager, const char *theName);

	// 3dImages Resources
	bool Extract3dImagesResources(ResourceManager *theMgr);
	extern Image* IMAGE_BLACK_HOLE;
	extern Image* IMAGE_BLACK_HOLE_COVER;
	extern Image* IMAGE_FIRE_RING;
	extern Image* IMAGE_HYPERSPACE;
	extern Image* IMAGE_HYPERSPACE_INITIAL;
	extern Image* IMAGE_TUNNEL_END;
	extern Image* IMAGE_WARP_LINES;

	// Init Resources
	bool ExtractInitResources(ResourceManager *theMgr);
	extern Font* FONT_1;
	extern Font* FONT_2;
	extern Font* FONT_CONTINUUM_MED_14;
	extern Font* FONT_CONTINUUM_MED_14_GLOW;
	extern Font* FONT_CONT_MED;
	extern Font* FONT_CONT_SM;

	// InitialMainMenu Resources
	bool ExtractInitialMainMenuResources(ResourceManager *theMgr);
	extern Image* IMAGE_MAIN_BKG;
	extern Image* IMAGE_MAIN_COMET;
	extern Image* IMAGE_MAIN_FG;
	extern Image* IMAGE_MAIN_FOG_BANK;
	extern Image* IMAGE_MAIN_FOG_BANK_FG;
	extern Image* IMAGE_MAIN_PLANET_1;
	extern Image* IMAGE_MAIN_STARFIELD;
	extern Image* IMAGE_MAIN_STAR_SPARKLE;

	// LoadScreen Resources
	bool ExtractLoadScreenResources(ResourceManager *theMgr);
	extern Image* IMAGE_LOADER_BAR;
	extern Image* IMAGE_LOADER_BAR_FLASH;
	extern Image* IMAGE_LOADER_BAR_LIT_BLUE;
	extern Image* IMAGE_LOADER_BAR_LIT_PURPLE;
	extern Image* IMAGE_LOADER_BAR_TEXT;
	extern Image* IMAGE_LOGO;
	extern Image* IMAGE_LOGO_2;
	extern Image* IMAGE_LOGO_DELUXE;
	extern Image* IMAGE_LOGO_POPCAP;

	// LoadingThread Resources
	bool ExtractLoadingThreadResources(ResourceManager *theMgr);
	extern Font* FONT_BOMB;
	extern Font* FONT_CONTINUUM_BOLD_11_NUM;
	extern Font* FONT_CONTINUUM_BOLD_11_NUM_GLOW;
	extern Font* FONT_CONTINUUM_BOLD_14_NUM;
	extern Font* FONT_CONTINUUM_BOLD_14_NUM_GLOW;
	extern Font* FONT_CONTINUUM_MED_18;
	extern Font* FONT_CONTINUUM_MED_18_GLOW;
	extern Font* FONT_CONTINUUM_MED_33;
	extern Font* FONT_CONTINUUM_MED_33_GLOW;
	extern Font* FONT_DEBUG;
	extern Font* FONT_DIGIT;
	extern Font* FONT_HUGE;
	extern Font* FONT_SCORE;
	extern Font* FONT_VAG_ROUNDED_11;
	extern Image* IMAGE_ARROW_UP;
	extern Image* IMAGE_BAR_LEFT;
	extern Image* IMAGE_BAR_MID;
	extern Image* IMAGE_BAR_RIGHT;
	extern Image* IMAGE_BIGSTAR;
	extern Image* IMAGE_BOARD_BORDER;
	extern Image* IMAGE_BOARD_RED_LIGHT;
	extern Image* IMAGE_BOMB;
	extern Image* IMAGE_BUTTON_HILITE;
	extern Image* IMAGE_CHECKBOX;
	extern Image* IMAGE_CONTROLS_CLASSIC;
	extern Image* IMAGE_CONTROLS_PUZZLE;
	extern Image* IMAGE_CONTROLS_SCORE;
	extern Image* IMAGE_DIALOG;
	extern Image* IMAGE_DIALOG_BUTTON;
	extern Image* IMAGE_DIALOG_BUTTON_GLOW;
	extern Image* IMAGE_DIALOG_HEADER;
	extern Image* IMAGE_EDIT_BOX;
	extern Image* IMAGE_ENDLESS_CENTER_1;
	extern Image* IMAGE_ENDLESS_CENTER_2;
	extern Image* IMAGE_ENDLESS_CENTER_3;
	extern Image* IMAGE_ENDLESS_CENTER_4;
	extern Image* IMAGE_ENDLESS_CENTER_5;
	extern Image* IMAGE_ENDLESS_CENTER_6;
	extern Image* IMAGE_ENDLESS_CENTER_7;
	extern Image* IMAGE_ENDLESS_GEM_HILITE;
	extern Image* IMAGE_ENDLESS_OUTER_1;
	extern Image* IMAGE_ENDLESS_OUTER_2;
	extern Image* IMAGE_ENDLESS_OUTER_3;
	extern Image* IMAGE_ENDLESS_OUTER_4;
	extern Image* IMAGE_ENDLESS_OUTER_5;
	extern Image* IMAGE_ENDLESS_OUTER_6;
	extern Image* IMAGE_ENDLESS_OUTER_7;
	extern Image* IMAGE_ENDLESS_SPARK_1;
	extern Image* IMAGE_ENDLESS_SPARK_2;
	extern Image* IMAGE_ENDLESS_SPARK_3;
	extern Image* IMAGE_ENDLESS_WIDGET;
	extern Image* IMAGE_EXPLOSION;
	extern Image* IMAGE_GALAXY_BUTTON_HILITE;
	extern Image* IMAGE_GALAXY_CLOSE_BUTTON;
	extern Image* IMAGE_GALAXY_HEADER;
	extern Image* IMAGE_GALAXY_MAP;
	extern Image* IMAGE_GALAXY_MOON_ALPHA;
	extern Image* IMAGE_GALAXY_MOON_SELECT;
	extern Image* IMAGE_GALAXY_PLANET_ALPHA;
	extern Image* IMAGE_GALAXY_PLANET_COMPLETED;
	extern Image* IMAGE_GALAXY_PLANET_SELECT;
	extern Image* IMAGE_GALAXY_QUESTION;
	extern Image* IMAGE_GALAXY_SUN_GLOW;
	extern Image* IMAGE_GALAXY_SUN_MOON_ALPHA;
	extern Image* IMAGE_GALAXY_SUN_SWIRL;
	extern Image* IMAGE_GALAXY_WARP_BUTTON;
	extern Image* IMAGE_GEM0;
	extern Image* IMAGE_GEM1;
	extern Image* IMAGE_GEM2;
	extern Image* IMAGE_GEM3;
	extern Image* IMAGE_GEM4;
	extern Image* IMAGE_GEM5;
	extern Image* IMAGE_GEM6;
	extern Image* IMAGE_GEM_ADD;
	extern Image* IMAGE_GEM_LIGHTING;
	extern Image* IMAGE_HELP_ARROW;
	extern Image* IMAGE_HELP_GRID_4;
	extern Image* IMAGE_HELP_GRID_5;
	extern Image* IMAGE_HELP_INDICATOR;
	extern Image* IMAGE_HELP_INDICATOR_ARROW;
	extern Image* IMAGE_HS_BACK_TO_GAME_TEXT;
	extern Image* IMAGE_HS_BACK_TO_MENU_TEXT;
	extern Image* IMAGE_HS_BOTTOM;
	extern Image* IMAGE_HS_BUTTON_ROLLOVER;
	extern Image* IMAGE_HS_LEFT;
	extern Image* IMAGE_HS_PLAY_AGAIN_TEXT;
	extern Image* IMAGE_HS_RESET_SCORES_TEXT;
	extern Image* IMAGE_HS_RIGHT;
	extern Image* IMAGE_HS_TITLE;
	extern Image* IMAGE_HS_TOP_BUTTON;
	extern Image* IMAGE_LIGHTNING;
	extern Image* IMAGE_LIGHTNING_CENTER;
	extern Image* IMAGE_MAIN_ACTION;
	extern Image* IMAGE_MAIN_BIG_OVER;
	extern Image* IMAGE_MAIN_BIG_SELECT;
	extern Image* IMAGE_MAIN_BOTTOM_GLOW;
	extern Image* IMAGE_MAIN_CENTER_GLOW;
	extern Image* IMAGE_MAIN_CENTER_TEXT;
	extern Image* IMAGE_MAIN_CLASSIC;
	extern Image* IMAGE_MAIN_COGNITO;
	extern Image* IMAGE_MAIN_ENDLESS;
	extern Image* IMAGE_MAIN_FINITY;
	extern Image* IMAGE_MAIN_GADGETS;
	extern Image* IMAGE_MAIN_HYPER;
	extern Image* IMAGE_MAIN_LIGHT_BIG;
	extern Image* IMAGE_MAIN_LIGHT_MED;
	extern Image* IMAGE_MAIN_LIGHT_SMALL;
	extern Image* IMAGE_MAIN_MORE_GAMES;
	extern Image* IMAGE_MAIN_OPTIONS;
	extern Image* IMAGE_MAIN_PLAY;
	extern Image* IMAGE_MAIN_PLAY_GLOW;
	extern Image* IMAGE_MAIN_PUZZLE;
	extern Image* IMAGE_MAIN_QUIT;
	extern Image* IMAGE_MAIN_SCORES;
	extern Image* IMAGE_MAIN_SECRET_FRAME;
	extern Image* IMAGE_MAIN_SECRET_GLOW;
	extern Image* IMAGE_MAIN_SECRET_SYMBOL;
	extern Image* IMAGE_MAIN_SMALL_GLOW;
	extern Image* IMAGE_MAIN_TWILIGHT;
	extern Image* IMAGE_MORE_GAMES_FRAME;
	extern Image* IMAGE_OLD_GEMS;
	extern Image* IMAGE_POWER_GLOW;
	extern Image* IMAGE_PUZZLE_DOME;
	extern Image* IMAGE_PUZZLE_DOME_MASK;
	extern Image* IMAGE_PUZZLE_DOME_SLIVER;
	extern Image* IMAGE_PUZZLE_FRAME;
	extern Image* IMAGE_PUZZLE_MAP_BUTTON;
	extern Image* IMAGE_PUZZLE_MAP_BUTTON_GLOW;
	extern Image* IMAGE_PUZZLE_PODS;
	extern Image* IMAGE_PUZZLE_PODS_LIT;
	extern Image* IMAGE_PUZZLE_PUZZLE_LIT;
	extern Image* IMAGE_PUZZLE_THUMB_GEM;
	extern Image* IMAGE_PUZZLE_VAPOR1;
	extern Image* IMAGE_PUZZLE_VAPOR2;
	extern Image* IMAGE_PUZZLE_WARP_BUTTON;
	extern Image* IMAGE_PUZZLE_WARP_GLOW;
	extern Image* IMAGE_PUZZLE_WIDGET;
	extern Image* IMAGE_RING_DUDE;
	extern Image* IMAGE_ROCK;
	extern Image* IMAGE_ROCK_CHUNK;
	extern Image* IMAGE_SELECT;
	extern Image* IMAGE_SHARD;
	extern Image* IMAGE_SIDEBAR_HINT_BUTTON;
	extern Image* IMAGE_SIDEBAR_MENU_BUTTON;
	extern Image* IMAGE_SLIDER_THUMB;
	extern Image* IMAGE_SLIDER_TRACK;
	extern Image* IMAGE_SMALL_GEMS;
	extern Image* IMAGE_SPARKLE;
	extern Image* IMAGE_UI_BIG_ROLLOVER;
	extern Image* IMAGE_UI_BUTTON_HINT;
	extern Image* IMAGE_UI_BUTTON_MENU;
	extern Image* IMAGE_UI_BUTTON_PAUSE;
	extern Image* IMAGE_UI_BUTTON_UNDO;
	extern Image* IMAGE_UI_SMALL_ROLLOVER;
	extern Image* IMAGE_WAIT_COMPONENT;
	extern Image* IMAGE_WARP_BOTTOM_GLOW;
	extern Image* IMAGE_WARP_TOP_GLOW;
	extern Image* IMAGE_WILDCARD_DESTROYER;

	// NonResize Resources
	bool ExtractNonResizeResources(ResourceManager *theMgr);
	extern Image* IMAGE_CURSOR_DRAGGING;
	extern Image* IMAGE_CURSOR_HAND;
	extern Image* IMAGE_CURSOR_POINTER;
	extern Image* IMAGE_CURSOR_TEXT;
	extern Image* IMAGE_RELOAD_BKG;
	extern Image* IMAGE_RELOAD_OVERLAY;
	extern Image* IMAGE_RELOAD_OVERLAY_LIT;

	// Sounds Resources
	bool ExtractSoundsResources(ResourceManager *theMgr);
	extern int SOUND_BAD;
	extern int SOUND_BOMB_EXPLODE;
	extern int SOUND_CLICK;
	extern int SOUND_CLICK_DIALOG;
	extern int SOUND_COMBO_1;
	extern int SOUND_COMBO_2;
	extern int SOUND_COMBO_3;
	extern int SOUND_COMBO_4;
	extern int SOUND_COMBO_5;
	extern int SOUND_COMBO_6;
	extern int SOUND_ELECTRO_EXPLODE;
	extern int SOUND_ELECTRO_PATH;
	extern int SOUND_ELECTRO_START;
	extern int SOUND_EXCELLENT;
	extern int SOUND_EXPLODE;
	extern int SOUND_FAIRY_DUST;
	extern int SOUND_FIRE_CRACKLE;
	extern int SOUND_GALAXY_MAP;
	extern int SOUND_GALAXY_PLANET_SELECT;
	extern int SOUND_GAME_OVER;
	extern int SOUND_GEM_HIT;
	extern int SOUND_GET_READY;
	extern int SOUND_GO;
	extern int SOUND_GOOD;
	extern int SOUND_GOODBYE;
	extern int SOUND_HIGH_SCORE;
	extern int SOUND_HYPERGEM_CREATE;
	extern int SOUND_HYPERGEM_DESTROYED;
	extern int SOUND_INCREDIBLE;
	extern int SOUND_LEVEL_COMPELTE;
	extern int SOUND_MAIN_GAME_START;
	extern int SOUND_MAIN_LANDING_LIGHTS;
	extern int SOUND_MAIN_MOUSE_CLICK;
	extern int SOUND_MAIN_MOUSE_LEAVE;
	extern int SOUND_MAIN_MOUSE_OVER;
	extern int SOUND_MULTISHOT;
	extern int SOUND_NO_MORE_MOVES;
	extern int SOUND_PANEL_SLIDE;
	extern int SOUND_PUZZLE_SOLVED;
	extern int SOUND_SELECT;
	extern int SOUND_TIME_UP;
	extern int SOUND_TRANSFER;
	extern int SOUND_TRANSFER_BIG;
	extern int SOUND_WARNING;
	extern int SOUND_WARP_DRIVE_READY;
	extern int SOUND_WELCOME;
	extern int SOUND_WELCOME_BACK;
	extern int SOUND_WHIRLPOOL;
	extern int SOUND_WORLD_COMPELTE;
	extern int SOUND_WORLD_COMPLETE;

	enum ResourceId
	{
		IMAGE_LOGO_ID,
		IMAGE_LOGO_2_ID,
		IMAGE_LOGO_DELUXE_ID,
		IMAGE_LOADER_BAR_ID,
		IMAGE_LOADER_BAR_LIT_BLUE_ID,
		IMAGE_LOADER_BAR_LIT_PURPLE_ID,
		IMAGE_LOADER_BAR_FLASH_ID,
		IMAGE_LOADER_BAR_TEXT_ID,
		IMAGE_LOGO_POPCAP_ID,
		IMAGE_RELOAD_BKG_ID,
		IMAGE_RELOAD_OVERLAY_ID,
		IMAGE_RELOAD_OVERLAY_LIT_ID,
		IMAGE_CURSOR_POINTER_ID,
		IMAGE_CURSOR_HAND_ID,
		IMAGE_CURSOR_DRAGGING_ID,
		IMAGE_CURSOR_TEXT_ID,
		FONT_1_ID,
		FONT_2_ID,
		FONT_CONTINUUM_MED_14_ID,
		FONT_CONTINUUM_MED_14_GLOW_ID,
		FONT_CONT_SM_ID,
		FONT_CONT_MED_ID,
		SOUND_TRANSFER_ID,
		SOUND_TRANSFER_BIG_ID,
		SOUND_COMBO_1_ID,
		SOUND_COMBO_2_ID,
		SOUND_COMBO_3_ID,
		SOUND_COMBO_4_ID,
		SOUND_COMBO_5_ID,
		SOUND_COMBO_6_ID,
		SOUND_BAD_ID,
		SOUND_GEM_HIT_ID,
		SOUND_HYPERGEM_CREATE_ID,
		SOUND_HYPERGEM_DESTROYED_ID,
		SOUND_EXPLODE_ID,
		SOUND_CLICK_ID,
		SOUND_CLICK_DIALOG_ID,
		SOUND_SELECT_ID,
		SOUND_MULTISHOT_ID,
		SOUND_GO_ID,
		SOUND_GAME_OVER_ID,
		SOUND_TIME_UP_ID,
		SOUND_FIRE_CRACKLE_ID,
		SOUND_WARNING_ID,
		SOUND_WHIRLPOOL_ID,
		SOUND_GOOD_ID,
		SOUND_EXCELLENT_ID,
		SOUND_INCREDIBLE_ID,
		SOUND_BOMB_EXPLODE_ID,
		SOUND_FAIRY_DUST_ID,
		SOUND_ELECTRO_START_ID,
		SOUND_ELECTRO_PATH_ID,
		SOUND_ELECTRO_EXPLODE_ID,
		SOUND_PANEL_SLIDE_ID,
		SOUND_HIGH_SCORE_ID,
		SOUND_MAIN_GAME_START_ID,
		SOUND_MAIN_MOUSE_CLICK_ID,
		SOUND_MAIN_MOUSE_OVER_ID,
		SOUND_MAIN_MOUSE_LEAVE_ID,
		SOUND_MAIN_LANDING_LIGHTS_ID,
		SOUND_GALAXY_MAP_ID,
		SOUND_GALAXY_PLANET_SELECT_ID,
		SOUND_GET_READY_ID,
		SOUND_WELCOME_ID,
		SOUND_GOODBYE_ID,
		SOUND_WELCOME_BACK_ID,
		SOUND_PUZZLE_SOLVED_ID,
		SOUND_LEVEL_COMPELTE_ID,
		SOUND_WORLD_COMPELTE_ID,
		SOUND_WARP_DRIVE_READY_ID,
		SOUND_WORLD_COMPLETE_ID,
		SOUND_NO_MORE_MOVES_ID,
		IMAGE_MAIN_BKG_ID,
		IMAGE_MAIN_FG_ID,
		IMAGE_MAIN_FOG_BANK_ID,
		IMAGE_MAIN_FOG_BANK_FG_ID,
		IMAGE_MAIN_STARFIELD_ID,
		IMAGE_MAIN_STAR_SPARKLE_ID,
		IMAGE_MAIN_COMET_ID,
		IMAGE_MAIN_PLANET_1_ID,
		IMAGE_HYPERSPACE_ID,
		IMAGE_HYPERSPACE_INITIAL_ID,
		IMAGE_TUNNEL_END_ID,
		IMAGE_WARP_LINES_ID,
		IMAGE_FIRE_RING_ID,
		IMAGE_BLACK_HOLE_ID,
		IMAGE_BLACK_HOLE_COVER_ID,
		IMAGE_SMALL_GEMS_ID,
		IMAGE_WILDCARD_DESTROYER_ID,
		IMAGE_HELP_INDICATOR_ID,
		IMAGE_HELP_INDICATOR_ARROW_ID,
		IMAGE_HELP_ARROW_ID,
		IMAGE_GEM0_ID,
		IMAGE_GEM1_ID,
		IMAGE_GEM2_ID,
		IMAGE_GEM3_ID,
		IMAGE_GEM4_ID,
		IMAGE_GEM5_ID,
		IMAGE_GEM6_ID,
		IMAGE_OLD_GEMS_ID,
		IMAGE_GEM_ADD_ID,
		IMAGE_SELECT_ID,
		IMAGE_WAIT_COMPONENT_ID,
		IMAGE_SPARKLE_ID,
		IMAGE_EDIT_BOX_ID,
		IMAGE_BOARD_BORDER_ID,
		IMAGE_BOARD_RED_LIGHT_ID,
		IMAGE_PUZZLE_FRAME_ID,
		IMAGE_SIDEBAR_HINT_BUTTON_ID,
		IMAGE_SIDEBAR_MENU_BUTTON_ID,
		IMAGE_BOMB_ID,
		IMAGE_EXPLOSION_ID,
		IMAGE_SHARD_ID,
		IMAGE_BIGSTAR_ID,
		IMAGE_ROCK_ID,
		IMAGE_ROCK_CHUNK_ID,
		IMAGE_BAR_LEFT_ID,
		IMAGE_BAR_RIGHT_ID,
		IMAGE_BAR_MID_ID,
		IMAGE_CONTROLS_SCORE_ID,
		IMAGE_CONTROLS_CLASSIC_ID,
		IMAGE_CONTROLS_PUZZLE_ID,
		IMAGE_BUTTON_HILITE_ID,
		IMAGE_RING_DUDE_ID,
		IMAGE_GEM_LIGHTING_ID,
		IMAGE_LIGHTNING_ID,
		IMAGE_LIGHTNING_CENTER_ID,
		IMAGE_POWER_GLOW_ID,
		IMAGE_MORE_GAMES_FRAME_ID,
		IMAGE_WARP_TOP_GLOW_ID,
		IMAGE_WARP_BOTTOM_GLOW_ID,
		IMAGE_HELP_GRID_4_ID,
		IMAGE_HELP_GRID_5_ID,
		IMAGE_ARROW_UP_ID,
		IMAGE_DIALOG_ID,
		IMAGE_DIALOG_HEADER_ID,
		IMAGE_DIALOG_BUTTON_ID,
		IMAGE_DIALOG_BUTTON_GLOW_ID,
		IMAGE_SLIDER_TRACK_ID,
		IMAGE_SLIDER_THUMB_ID,
		IMAGE_CHECKBOX_ID,
		IMAGE_UI_BIG_ROLLOVER_ID,
		IMAGE_UI_SMALL_ROLLOVER_ID,
		IMAGE_UI_BUTTON_HINT_ID,
		IMAGE_UI_BUTTON_MENU_ID,
		IMAGE_UI_BUTTON_UNDO_ID,
		IMAGE_UI_BUTTON_PAUSE_ID,
		IMAGE_PUZZLE_WIDGET_ID,
		IMAGE_PUZZLE_PODS_ID,
		IMAGE_PUZZLE_PODS_LIT_ID,
		IMAGE_PUZZLE_DOME_ID,
		IMAGE_PUZZLE_DOME_MASK_ID,
		IMAGE_PUZZLE_DOME_SLIVER_ID,
		IMAGE_PUZZLE_PUZZLE_LIT_ID,
		IMAGE_PUZZLE_THUMB_GEM_ID,
		IMAGE_PUZZLE_VAPOR1_ID,
		IMAGE_PUZZLE_VAPOR2_ID,
		IMAGE_PUZZLE_MAP_BUTTON_ID,
		IMAGE_PUZZLE_MAP_BUTTON_GLOW_ID,
		IMAGE_PUZZLE_WARP_BUTTON_ID,
		IMAGE_PUZZLE_WARP_GLOW_ID,
		IMAGE_ENDLESS_WIDGET_ID,
		IMAGE_ENDLESS_CENTER_1_ID,
		IMAGE_ENDLESS_CENTER_2_ID,
		IMAGE_ENDLESS_CENTER_3_ID,
		IMAGE_ENDLESS_CENTER_4_ID,
		IMAGE_ENDLESS_CENTER_5_ID,
		IMAGE_ENDLESS_CENTER_6_ID,
		IMAGE_ENDLESS_CENTER_7_ID,
		IMAGE_ENDLESS_OUTER_1_ID,
		IMAGE_ENDLESS_OUTER_2_ID,
		IMAGE_ENDLESS_OUTER_3_ID,
		IMAGE_ENDLESS_OUTER_4_ID,
		IMAGE_ENDLESS_OUTER_5_ID,
		IMAGE_ENDLESS_OUTER_6_ID,
		IMAGE_ENDLESS_OUTER_7_ID,
		IMAGE_ENDLESS_SPARK_1_ID,
		IMAGE_ENDLESS_SPARK_2_ID,
		IMAGE_ENDLESS_SPARK_3_ID,
		IMAGE_ENDLESS_GEM_HILITE_ID,
		IMAGE_GALAXY_MAP_ID,
		IMAGE_GALAXY_BUTTON_HILITE_ID,
		IMAGE_GALAXY_WARP_BUTTON_ID,
		IMAGE_GALAXY_CLOSE_BUTTON_ID,
		IMAGE_GALAXY_HEADER_ID,
		IMAGE_GALAXY_PLANET_ALPHA_ID,
		IMAGE_GALAXY_SUN_MOON_ALPHA_ID,
		IMAGE_GALAXY_MOON_ALPHA_ID,
		IMAGE_GALAXY_PLANET_SELECT_ID,
		IMAGE_GALAXY_PLANET_COMPLETED_ID,
		IMAGE_GALAXY_SUN_GLOW_ID,
		IMAGE_GALAXY_SUN_SWIRL_ID,
		IMAGE_GALAXY_QUESTION_ID,
		IMAGE_GALAXY_MOON_SELECT_ID,
		IMAGE_HS_BOTTOM_ID,
		IMAGE_HS_LEFT_ID,
		IMAGE_HS_RIGHT_ID,
		IMAGE_HS_TITLE_ID,
		IMAGE_HS_TOP_BUTTON_ID,
		IMAGE_HS_BACK_TO_MENU_TEXT_ID,
		IMAGE_HS_BACK_TO_GAME_TEXT_ID,
		IMAGE_HS_PLAY_AGAIN_TEXT_ID,
		IMAGE_HS_RESET_SCORES_TEXT_ID,
		IMAGE_HS_BUTTON_ROLLOVER_ID,
		IMAGE_MAIN_GADGETS_ID,
		IMAGE_MAIN_BIG_SELECT_ID,
		IMAGE_MAIN_BIG_OVER_ID,
		IMAGE_MAIN_SMALL_GLOW_ID,
		IMAGE_MAIN_PLAY_GLOW_ID,
		IMAGE_MAIN_BOTTOM_GLOW_ID,
		IMAGE_MAIN_CLASSIC_ID,
		IMAGE_MAIN_ACTION_ID,
		IMAGE_MAIN_PUZZLE_ID,
		IMAGE_MAIN_ENDLESS_ID,
		IMAGE_MAIN_TWILIGHT_ID,
		IMAGE_MAIN_HYPER_ID,
		IMAGE_MAIN_COGNITO_ID,
		IMAGE_MAIN_FINITY_ID,
		IMAGE_MAIN_MORE_GAMES_ID,
		IMAGE_MAIN_OPTIONS_ID,
		IMAGE_MAIN_SCORES_ID,
		IMAGE_MAIN_PLAY_ID,
		IMAGE_MAIN_QUIT_ID,
		IMAGE_MAIN_CENTER_TEXT_ID,
		IMAGE_MAIN_LIGHT_BIG_ID,
		IMAGE_MAIN_LIGHT_MED_ID,
		IMAGE_MAIN_LIGHT_SMALL_ID,
		IMAGE_MAIN_CENTER_GLOW_ID,
		IMAGE_MAIN_SECRET_GLOW_ID,
		IMAGE_MAIN_SECRET_FRAME_ID,
		IMAGE_MAIN_SECRET_SYMBOL_ID,
		FONT_CONTINUUM_MED_33_ID,
		FONT_CONTINUUM_MED_33_GLOW_ID,
		FONT_CONTINUUM_MED_18_ID,
		FONT_CONTINUUM_MED_18_GLOW_ID,
		FONT_VAG_ROUNDED_11_ID,
		FONT_CONTINUUM_BOLD_14_NUM_ID,
		FONT_CONTINUUM_BOLD_14_NUM_GLOW_ID,
		FONT_CONTINUUM_BOLD_11_NUM_ID,
		FONT_CONTINUUM_BOLD_11_NUM_GLOW_ID,
		FONT_DIGIT_ID,
		FONT_BOMB_ID,
		FONT_HUGE_ID,
		FONT_SCORE_ID,
		FONT_DEBUG_ID,
		RESOURCE_ID_MAX
	};

	Image* GetImageById(int theId);
	Font* GetFontById(int theId);
	int GetSoundById(int theId);

	const char* GetStringIdById(int theId);

} // namespace Sexy


#endif
