#ifndef __TITLESCREEN_H__
#define __TITLESCREEN_H__

#include "../SexyAppFramework/Widget.h"
#include "../SexyAppFramework/ButtonListener.h"
#include "CurvedVal.h"

namespace Sexy
{

class WinDMApp;
class HyperlinkWidget;
class MemoryImage;

class TitleScreen : public Widget, public ButtonListener
{
public:
	WinDMApp*				mApp;
	double					mBarPercent;
	double					mTimerPercent;
	bool					mLoaded;
	int						mDispTimesPlayed;
	bool					mRegisterClicked;	
	int						mTotalTimerSec;
	
	double					mLinkAlpha;
	double					mLinkOverAlpha;
	bool					mLinkFlashOn;
	int						mLinkFlashDelay;
	bool					mFirstLinkFlash;
	
	int						mLogoDelay;
	CurvedVal				mLogoPos;
	CurvedVal				mLogoAlpha;

	int						mLogo2Alpha1Delay;
	CurvedVal				mLogo2Alpha1;
	int						mLogo2Alpha2Delay;
	CurvedVal				mLogo2Alpha2;

	int						mBottomAlphaDelay;
	CurvedVal				mBottomAlpha;

	int						mPopcapAlphaDelay;
	CurvedVal				mPopcapAlpha;

	int						mDeluxeAlphaDelay;
	CurvedVal				mDeluxeAlpha;

	int						mDeluxeAlpha2Delay;
	CurvedVal				mDeluxeAlpha2;

	int						mShowLinkDelay;
	int						mLoadAlphaDelay;
	CurvedVal				mLoadGlowAlpha;
	float					mShowPurpleBarAlpha;

	bool					mClosing;
	CurvedVal				mClosePos;
	
	HyperlinkWidget*		mPlayLink;

	Image*					mWhiteLogo2;	
	Image*					mWhiteDeluxe;
	
	Image*					mCobrandLogo;
	int						mCobrandOfsX;
	int						mCobrandOfsY;

	int						mRegisterDialogCountdown;
	int						mMaxPlays;
	int						mMaxTime;
	int						mMaxExecutions;	

	bool					mDoPause;

protected:
	void					SetupVals();

public:
	TitleScreen(WinDMApp* theApp);
	virtual ~TitleScreen();
	
	virtual MemoryImage*	MakeBWCopy(Image* theBaseImage);
	virtual void			Draw(Graphics* g); 
	virtual void			Update();
	virtual void			AddedToManager(WidgetManager* theWidgetManager);
	virtual void			RemovedFromManager(WidgetManager* theWidgetManager);
	virtual void			Resize(int theX, int theY, int theWidth, int theHeight);

	virtual void			ButtonPress(int theId);
	virtual void			ButtonDepress(int theId);
	virtual void			MouseDown(int x, int y, int theClickCount);
};

}

#endif //__TITLESCREEN_H__
