#ifndef __USERDIALOG_H__
#define __USERDIALOG_H__

#include "PodDialog.h"

#include "../SexyAppFramework/ListListener.h"

namespace Sexy
{

class DialogButton;
class ListWidget;
class ScrollbarWidget;

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
class UserDialog : public PodDialog, public ListListener
{
protected:
	ListWidget *mUserList;
	ScrollbarWidget *mScrollbarWidget;
	DialogButton *mRenameButton;
	DialogButton *mDeleteButton;

public:
	UserDialog();
	virtual ~UserDialog();

	virtual void Resize(int theX, int theY, int theWidth, int theHeight);
	virtual int	GetPreferredHeight(int theWidth);

	virtual void AddedToManager(WidgetManager *theWidgetManager);
	virtual void RemovedFromManager(WidgetManager *theWidgetManager);

	virtual void ListClicked(int theId, int theIdx, int theClickCount);
	virtual void ButtonPress(int theId);
	virtual void ButtonDepress(int theId);

	void FinishDeleteUser();
	void FinishRenameUser(const std::string &theNewName);

	std::string GetSelName();
};


} // namespace Sexy

#endif